#ifndef _GEARING_H
#define _GEARING_H

void establish_axis_params(void);
int calc_steps_required(double travel, int32_t steps_per_mm);
void perform_gcode_struct_calcs(void);
void ini_gcode_struct(void);

extern volatile bool master_move_now;
extern volatile bool follower_1_move_now;
extern volatile bool follower_2_move_now;
extern volatile bool follower_3_move_now;

#endif /* _GEARING_H */
