#ifndef _FOLLOWER_1_H
#define _FOLLOWER_1_H

#include <stdint.h>
#include <stdbool.h>
#include "simpletools.h"
#include "Gearing.h"

void follower_1_init(void);
void follower_1_stop(void);

////////////////////////////////////////////////////////////
// This variable is only for testing purposes and it can be
// deleted, after testing is completed.
extern volatile uint32_t follower_1_steps_made;
////////////////////////////////////////////////////////////

extern volatile bool follower_1_move_complete;

extern volatile uint8_t follower_1_dir;
extern volatile uint8_t follower_1_dir_pin;
extern volatile uint8_t follower_1_step_pin;
extern volatile uint32_t follower_1_ramp_up_steps;
extern volatile uint32_t follower_1_running_steps;
extern volatile uint32_t follower_1_ramp_down_steps;
extern volatile uint32_t follower_1_pulse_width;
extern volatile int32_t follower_1_offset;
extern volatile uint32_t follower_1_start_stop_speed;
extern volatile uint32_t follower_1_ramp_inc_dec;
extern volatile double follower_1_int_part;
extern volatile double follower_1_dec_part;

extern volatile uint8_t copy_1_masters_pulse_width;

#endif /* _FOLLOWER_1_H */