#ifndef _FOLLOWER_2_H
#define _FOLLOWER_2_H

#include <stdint.h>
#include <stdbool.h>
#include "simpletools.h"
#include "Gearing.h"

void follower_2_init(void);
void follower_2_stop(void);

////////////////////////////////////////////////////////////
// This variable is only for testing purposes and it can be
// deleted, after testing is completed.
extern volatile uint32_t follower_2_steps_made;
////////////////////////////////////////////////////////////

extern volatile bool follower_2_move_complete;

extern volatile uint8_t follower_2_dir;
extern volatile uint8_t follower_2_dir_pin;
extern volatile uint8_t follower_2_step_pin;
extern volatile uint32_t follower_2_ramp_up_steps;
extern volatile uint32_t follower_2_running_steps;
extern volatile uint32_t follower_2_ramp_down_steps;
extern volatile uint32_t follower_2_pulse_width;
extern volatile int32_t follower_2_offset;
extern volatile uint32_t follower_2_start_stop_speed;
extern volatile uint32_t follower_2_ramp_inc_dec;
extern volatile double follower_2_int_part;
extern volatile double follower_2_dec_part;

extern volatile uint8_t copy_2_masters_pulse_width;

#endif /* _FOLLOWER_2_H */