#ifndef _FOLLOWER_3_H
#define _FOLLOWER_3_H

#include <stdint.h>
#include <stdbool.h>
#include "simpletools.h"
#include "Gearing.h"

void follower_3_init(void);
void follower_3_stop(void);

////////////////////////////////////////////////////////////
// This variable is only for testing purposes and it can be
// deleted, after testing is completed.
extern volatile uint32_t follower_3_steps_made;
////////////////////////////////////////////////////////////

extern volatile bool follower_3_move_complete;

extern volatile uint8_t follower_3_dir;
extern volatile uint8_t follower_3_dir_pin;
extern volatile uint8_t follower_3_step_pin;
extern volatile uint32_t follower_3_ramp_up_steps;
extern volatile uint32_t follower_3_running_steps;
extern volatile uint32_t follower_3_ramp_down_steps;
extern volatile uint32_t follower_3_pulse_width;
extern volatile int32_t follower_3_offset;
extern volatile uint32_t follower_3_start_stop_speed;
extern volatile uint32_t follower_3_ramp_inc_dec;
extern volatile double follower_3_int_part;
extern volatile double follower_3_dec_part;

extern volatile uint8_t copy_3_masters_pulse_width;

#endif /* _FOLLOWER_3_H */