#ifndef _MASTER_H
#define _MASTER_H

#include <stdint.h>
#include <stdbool.h>
#include "simpletools.h"
#include "Gearing.h"

void master_init(void);
void master_stop(void);

////////////////////////////////////////////////////////////
// This variable is only for testing purposes and it can be
// deleted, after testing is completed.
extern volatile uint32_t master_steps_made;
////////////////////////////////////////////////////////////

extern volatile bool master_move_complete;

extern volatile uint8_t master_dir;
extern volatile uint8_t master_dir_pin;
extern volatile uint8_t master_step_pin;
extern volatile uint32_t master_ramp_up_steps;
extern volatile uint32_t master_running_steps;
extern volatile uint32_t master_ramp_down_steps;
extern volatile uint32_t master_pulse_width;
extern volatile uint32_t master_start_stop_speed;
extern volatile uint32_t master_ramp_inc_dec;

#endif /* _MASTER_H */